Install Tekkit

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (Tekkit) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select Tekkit from the list on the left. The launcher will handle everything else!

Tekkit Version 1.0

created by sct on Minecraft Version 1.4.7 using Technic Solder
LexManos's LegacyJavaFixer has been added to both the latest and recommended versions, so users of java 1.8 can play both!
CanVox posted a status update for Tekkit 4 years ago

Comments

You must be logged in to comment. Click here to register a new account or log in.
stürzt ständig ab, nicht sehr spielerfreundlich
Posted by Benjamin1Meyer 4 years ago
this modpack keeps crashing whenever I get in to my world
Posted by johnbutter 4 years ago
We are the server giong to be updated it says that it can't find mod version ?
Posted by LTG-master 4 years ago
Its still broken. It cant even get to the titelscreen -,-
Posted by LuigiHarrisMario 4 years ago
the server is not work , in the server we can't use the tekkit's things ,only can use minecraft's things .
Posted by billylao 4 years ago
it still isn't working: [B#211] Analytics Response [runModpack]: 200 [B#211] jan 03, 2015 3:51:56 PM net.minecraft.launchwrapper.LogWrapper log [B#211] INFO: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker [B#211] jan 03, 2015 3:51:57 PM net.minecraft.launchwrapper.LogWrapper log [B#211] INFO: Using primary tweak class name cpw.mods.fml.common.launcher.FMLTweaker [B#211] jan 03, 2015 3:51:57 PM net.minecraft.launchwrapper.LogWrapper log [B#211] INFO: Calling tweak class cpw.mods.fml.common.launcher.FMLTweaker [B#211] 2015-01-03 15:51:57 [INFO] [ForgeModLoader] Forge Mod Loader version 6.4.49.965 for Minecraft 1.6.4 loading [B#211] 2015-01-03 15:51:57 [INFO] [ForgeModLoader] Java is Java HotSpot(TM) 64-Bit Server VM, version 1.8.0_25, running on Windows 8.1:amd64:6.3, installed at C:\Program Files\Java\jre1.8.0_25 [B#211] 2015-01-03 15:51:57 [WARNING] [ForgeModLoader] The coremod codechicken.core.launch.DepLoader does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:51:57 [WARNING] [ForgeModLoader] The coremod appeng.transformer.AppEngCore does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:51:57 [INFO] [ForgeModLoader] [AppEng] Core Init [B#211] 2015-01-03 15:51:58 [WARNING] [ForgeModLoader] The coremod calclavia.lib.CalclaviaPluginLoader does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:51:58 [WARNING] [ForgeModLoader] The coremod codechicken.core.launch.CodeChickenCorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:52:02 [INFO] [STDERR] Warning: version of ForgeMultipart-universal-1.6.4-, 1.0.0.250 is newer than request 1.0.0.244 [B#211] 2015-01-03 15:52:02 [WARNING] [ForgeModLoader] The coremod cofh.asm.LoadingPlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:52:03 [WARNING] [ForgeModLoader] The coremod mods.immibis.microblocks.coremod.MicroblocksCoreMod does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:52:03 [WARNING] [ForgeModLoader] The coremod invtweaks.forge.asm.FMLPlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:52:03 [WARNING] [ForgeModLoader] The coremod logisticspipes.asm.LogisticsPipesCoreLoader does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:52:03 [WARNING] [ForgeModLoader] The coremod micdoodle8.mods.miccore.MicdoodlePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:52:03 [WARNING] [ForgeModLoader] The coremod codechicken.nei.asm.NEICorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:52:03 [WARNING] [ForgeModLoader] The coremod openeye.CorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:52:03 [WARNING] [ForgeModLoader] The coremod openmods.OpenModsCorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:52:03 [WARNING] [ForgeModLoader] The coremod codechicken.core.launch.DepLoader does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:52:03 [WARNING] [ForgeModLoader] The coremod mrtjp.projectred.compatibility.CompatibilityCorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:52:03 [WARNING] [ForgeModLoader] The coremod universalelectricity.core.UELoader does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:52:03 [WARNING] [ForgeModLoader] The coremod codechicken.core.launch.DepLoader does not have a MCVersion annotation, it may cause issues with this version of Minecraft [B#211] 2015-01-03 15:52:03 [INFO] [ForgeModLoader] Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker [B#211] 2015-01-03 15:52:03 [INFO] [ForgeModLoader] Loading tweak class name cpw.mods.fml.common.launcher.FMLDeobfTweaker [B#211] 2015-01-03 15:52:03 [INFO] [ForgeModLoader] Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker [B#211] 2015-01-03 15:52:03 [SEVERE] [ForgeModLoader] Unable to launch [B#211] java.util.ConcurrentModificationException [B#211] at java.util.ArrayList$Itr.checkForComodification(Unknown Source) [B#211] at java.util.ArrayList$Itr.remove(Unknown Source) [B#211] at net.minecraft.launchwrapper.Launch.launch(Launch.java:114) [B#211] at net.minecraft.launchwrapper.Launch.main(Launch.java:27) [B#211] Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=256m; support was removed in 8.0
Posted by hansmartenbaks 4 years ago
Wenn ich Tekkit lite weiterspielen möchte, bei meiner Welt. Gehen nie die truhen auf, oder beim abbauen bekommt man eben keine Item. Außerdem geht es auch nicht mehr zum speichen.
Posted by Lilprinzessin 4 years ago
Das kann verschiedene Gründe haben: -Zu wenig Ram bzw. Arbeitsspeicher -Fehler im Modpack durch zusätzlich installierte mods -(ensteht durch Punkt 1): Lagging Aber vielleicht (ist unwarscheinlich) liegt es am neuen Launcher
Posted by 5trandkrabb3 4 years ago
Wenn ich Tekkit lite weiterspielen möchte, bei meiner Welt. Gehen nie die truhen auf, oder beim abbauen bekommt man eben keine Item. Außerdem geht es auch nicht mehr zum speichen.
Posted by Lilprinzessin 4 years ago
Wenn ich Tekkit lite weiterspielen möchte, bei meiner Welt. Gehen nie die truhen auf, oder beim abbauen bekommt man eben keine Item. Außerdem geht es auch nicht mehr zum speichen.
Posted by Lilprinzessin 4 years ago
Wenn ich Tekkit lite weiterspielen möchte, bei meiner Welt. Gehen nie die truhen auf, oder beim abbauen bekommt man eben keine Item. Außerdem geht es auch nicht mehr zum speichen.
Posted by Lilprinzessin 4 years ago
Wenn ich Tekkit lite weiterspielen möchte, bei meiner Welt. Gehen nie die truhen auf, oder beim abbauen bekommt man eben keine Item. Außerdem geht es auch nicht mehr zum speichen.
Posted by Lilprinzessin 4 years ago
Wenn ich Tekkit lite weiterspielen möchte, bei meiner Welt. Gehen nie die truhen auf, oder beim abbauen bekommt man eben keine Item. Außerdem geht es auch nicht mehr zum speichen.
Posted by Lilprinzessin 4 years ago
if possible could u please add many some new dungeons and dimensions?
Posted by jumperstick 4 years ago
its say would u like to update the mod pack and the there is a corruption and it doesn't do anything
Posted by teamsnooter 4 years ago
its say would u like to update the mod pack and the there is a corruption and it doesn't do anything
Posted by teamsnooter 4 years ago
stimmt! bei mir ist das auch so :(
Posted by andi616 4 years ago
It still doesn't work, it crashes before the Mojang logo even shows up.
Posted by Thylacore 4 years ago
hey can the server be updated, plz?
Posted by zuiperke 4 years ago
hey can the server be updated, plz?
Posted by zuiperke 4 years ago
When i try to start it it crashes because chicken-core couldn't be installed, so i decided to install it manualy which caused it to crash on start. i installed the old launcher where it works perfectly fine without crashes or other issues. So please fix it for the new launcher because this modpack is pretty awesome.
Posted by 5trandkrabb3 4 years ago
can y'all please update it to Minecraft 1.7 at least?
Posted by aaronbray91 3 years ago
I'm glad I'm not the only one waiting on the server update. I run a private server for save-safety (Minecraft crashes when a block with a WR-CBE block on it is destroyed) and for WorldEdit. Plus it makes it that much easier to play with some friends. Looking forward to playing the update though!
Posted by nikolateslax 3 years ago
when are you updating the server pack?
Posted by XxKinkillaxX 3 years ago
There is a problem....whenever I create/load a world it crashes!
Posted by ghostly99012 3 years ago
HELP Mine Is Infinite Loop On Installing Minecraft Assets PLZ HELP :(
Posted by filip321 3 years ago
galera, esta dando erro pois é preciso atualizar o java : http://java.com/en/download/manual.jsp
Posted by jota1709 3 years ago
I've been having this problem for a while now and I thought this would change it but it hasn't. I don't remember the name of the site you link for your crash reports so I'm just gonna post the last bit of it here. 2015-01-25 00:38:02 [INFO] [STDERR] Exception in thread "Thread-43" java.lang.OutOfMemoryError: GC overhead limit exceeded [B#238] 2015/01/25 00:38:03 [INFO] Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=256m; support was removed in 8.0 [B#238] 2015/01/25 00:38:03 [INFO] Picked up _JAVA_OPTIONS: -Xmx512M [B#238] 2015/01/25 00:38:04 [INFO] Starting download of http://cdn.technicpack.net/platform2/pack-icons/552547.png?1419663026, with 3 tries remaining [B#238] 2015/01/25 00:40:11 [INFO] Starting download of http://cdn.technicpack.net/platform2/pack-icons/552547.png?1419663026, with 3 tries remaining
Posted by Jtxl 3 years ago
java 8 not 1.8
Posted by johnfg12 3 years ago
java 8 not 1.8
Posted by johnfg12 3 years ago
good job
Posted by _albi277_ 3 years ago

Latest Update

We've disabled OCS analytics-collection for people who cannot reach the OCS website for whatever reason. We've also promoted a new server build, try it out!